<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');


// list expected fields
$expected = array('new_datum','q_naslov','q_vijest_kratka','q_vijest','q_link','q_link_opis',
					'new_slika','q_thumb_sirina','q_thumb_visina','q_big_sirina','q_big_visina',
					'obrisi_sliku','id_news');
// set required fields
$required = array('new_datum','q_naslov','id_news');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = $temp;
		//${$key} = mysql_real_escape_string($temp);
	}
}
$error='';
$uspjeh='';
if (empty($missing))  {		
	//insert new data in database
	
	//uredi datum	
	//iz prosljeđenog datuma rasturi dan, mjesec i godinu
	$contents = explode(".", $new_datum);
	//naši dani u tjednu
	$weekday = array("Nedjelja","Ponedjeljak","Utorak","Srijeda","&#268;etvrtak","Petak","Subota");
	$q_datum_prikaz=$contents[2].'-'.$contents[1].'-'.$contents[0]; //zapis za bazu
	$new_date=strtotime($q_datum_prikaz);
	$wday=date("w","$new_date");
	$q_dan = $weekday[$wday];//zapis za bazu - dan u tjednu
	//današnji dan
	list($mday,$month,$year) = preg_split("( )",date("d m Y")); //za kreaciju imena slike u "func_img.php"

	//uredi tekst
	$q_naslov=uredi_var($q_naslov);
	$q_vijest=uredi_var($q_vijest);
	$q_vijest_kratka=uredi_var($q_vijest_kratka);
	$q_link_opis=uredi_var($q_link_opis);
	
	//ako je automatsko kreiranje skraćene vijesti
	if ($kategorija_kratka=='1') {
		//kreiraj kratku
		$q_vijest_kratka=strip_tags($q_vijest);
		if (strlen($q_vijest_kratka)>$kategorija_kratka_znakovi) {
			$q_vijest_kratka=substr($q_vijest_kratka,0,$kategorija_kratka_znakovi);
			$pos = strrpos($q_vijest_kratka, " ");
			$q_vijest_kratka = substr($q_vijest_kratka, 0, $pos);
		} 	
	} 	
	
	//brisanje stare slike
	if ($obrisi_sliku==1) {
		//ucitaj imena za thumb i big
		$sql99="select thumb_ime,big_ime from b7_news where id='$id_news'";
		$rez99=mysql_query($sql99,$conn);
		if ($rez99) $num99=mysql_num_rows($rez99);
		if ($num99>0) {
			$row99=mysql_fetch_array($rez99);
			$thumb_ime=$row99[0];
			$big_ime=$row99[1];
			//obrisi ih sa harda
			@unlink($slike_news_dir . $thumb_ime);
			@unlink($slike_news_dir . $big_ime);
			//spremi promjene u bazu
			$q_thumb_ime_temp='';
			$q_thumb_sirina_temp='0';
			$q_thumb_visina_temp='0';
			$q_big_ime_temp='';
			$q_big_sirina_temp='0';
			$q_big_visina_temp='0';
			$result = mysql_query("update b7_news set  
					thumb_ime='$q_thumb_ime_temp',
					thumb_sirina='$q_thumb_sirina_temp',
					thumb_visina='$q_thumb_visina_temp',
					big_ime='$q_big_ime_temp',
					big_sirina='$q_big_sirina_temp',
					big_visina='$q_big_visina_temp',
					user='$log_username',
					datum=now() 
					where id='$id_news'");
		} else {
			$error.='Nije bilo moguće obrisati sliku!<br />';
		}
		
		
		
		
	}
	
	//ako postoji slika, spremi je
	if ($kategorija_slika=='1') {
		if ($_FILES['new_slika']['size']) {
			include ("func_img.php");		
		} else {
			$q_thumb_ime='';
			$q_thumb_sirina='0';
			$q_thumb_visina='0';
			$q_big_ime='';
			$q_big_sirina='0';
			$q_big_visina='0';
		}
	} else {
		$q_thumb_ime='';
		$q_thumb_sirina='0';
		$q_thumb_visina='0';
		$q_big_ime='';
		$q_big_sirina='0';
		$q_big_visina='0';
	}
	
	//pripremi za unos u bazu
	$q_naslov_mysql=mysql_real_escape_string($q_naslov);
	$q_vijest_kratka_mysql=mysql_real_escape_string($q_vijest_kratka);
	$q_vijest_mysql=mysql_real_escape_string($q_vijest);
	$q_autor_mysql=mysql_real_escape_string($q_autor);
	$q_link_mysql=mysql_real_escape_string($q_link);
	$q_link_opis_mysql=mysql_real_escape_string($q_link_opis);
	
	$result = mysql_query("update b7_news set
							naslov='$q_naslov_mysql',
							vijest_kratka='$q_vijest_kratka_mysql',
							vijest='$q_vijest_mysql',
							datum_prikaz='$q_datum_prikaz',
							dan='$q_dan',
							autor='$q_autor_mysql',
							link='$q_link_mysql',
							link_opis='$q_link_opis_mysql',
							datum=now(),
							user='$log_username'
							where id='$id_news'");
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();		
	} else {
		$uspjeh.='Uspješno je promjenjena vijest <strong>'.$q_naslov.'</strong> u bazi<br />';
		//ako je dodana slika
		if ($q_thumb_ime) {
			$result = mysql_query("update b7_news set
							thumb_ime='$q_thumb_ime',
							thumb_sirina='$q_thumb_sirina',
							thumb_visina='$q_thumb_visina',
							big_ime='$q_big_ime',
							big_sirina='$q_big_sirina',
							big_visina='$q_big_visina'
							where id='$id_news'");
			if (!$result) {
				$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
			} else {
				$uspjeh.='Uspješno je promjenjena slika uz vijest vijest <strong>'.$q_naslov.'</strong> u bazi<br />';
			}
		}
	}				
	
	

} else {
	$error.='Nisu prosljeđene sve varijable potrebne za upis vijesti u bazu';
}
?>
<div id="main_content">
<h1>Spremanje vijesti u kategoriji <em><?php echo $kategorija_naslov; ?></em> u bazu</h1>
<?php
if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>
<br /><br />
<a href="glavna.php?modul=vijesti&amp;akcija=display_news_list&amp;id_kat=<?php echo $id_kat; ?>">Povratak...</a>
</div>